[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: BuildRequires: how vary depending on build host?



Enrico Scholz wrote:

> nicku@vtc.edu.hk (Nick Urbanik) writes:
>
> > My problem is that the package needs db3-devel on build platforms Red
> > Hat 7.3 and older, and needs db4-devel otherwise.  Please could anyone
> > suggest a macro or some sensible way of writing such a BuildRequires
> > statement?
>
> BuildRequires: /usr/include/db.h

Thank you!  That's a lovely solution.

--
Nick Urbanik   RHCE                               nicku(at)vtc.edu.hk
Dept. of Information & Communications Technology
Hong Kong Institute of Vocational Education (Tsing Yi)
Tel:   (852) 2436 8576, (852) 2436 8713          Fax: (852) 2436 8526
PGP: 53 B6 6D 73 52 EE 1F EE EC F8 21 98 45 1C 23 7B     ID: 7529555D
GPG: 7FFA CDC7 5A77 0558 DC7A 790A 16DF EC5B BB9D 2C24   ID: BB9D2C24






[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]